Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
ecdsa_sign.c File Reference

EcdsaSignBuffer implementation. More...

`#include "epid/common/math/ecdsa.h"`
`#include "epid/common/math/bignum.h"`
`#include "epid/common/math/bignum-internal.h"`
`#include "epid/common/math/ecgroup.h"`
`#include "epid/common/memory.h"`
`#include "ext/ipp/include/ippcp.h"`

## Macros
#define | EPHKEYGEN_WATCHDOG (10)
| The number of attempts to generate ephemeral key pair.

## Functions
EpidStatus | EcdsaSignBuffer (void const *buf, size_t buf_len, EcdsaPrivateKey const *privkey, BitSupplier rnd_func, void *rnd_param, EcdsaSignature *sig)
| Creates ECDSA signature of buffer. More...

## Detailed Description

EcdsaSignBuffer implementation.